We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 2 of 2
  1. #1
    Join Date
    Mar 2008
    Posts
    52

    Fresh install on Yosemite (10.10.5)

    Hello, guys
    My gf recently update her iMac mid-2011 with SSD and more RAM so a fresh MacOS install was made.
    The game was running ok on the old HDD. We downloaded the Mac installer form site, installed the game without HiRes textures, opened the client, get a couple of dll missing errors (as fas as I know those error comes from Wine client), she can login but the game won't launch.
    After reading a lot of post on forum and trying a lot of solutions still cant lauch the game.

    Here my UserPreferences.ini (I added a few lines manually while trying some suggestions)

    [Launcher]
    AllowMultipleInstances=true
    FirstRun=false
    PreCache=true
    SelectLastPlayedWorld=false
    GameClientType=1
    WindowGeometry=@ByteArray(\x1\ xd9\xd0\xcb\0\x1\0\0\0\0\x4\x1 d\0\0\0\xd2\0\0\x6\xec\0\0\x2\ xfa\0\0\x4\x1d\0\0\0\xd2\0\0\x 6\xec\0\0\x2\xfa\0\0\0\0\0\0)
    LastLocale=en-US
    LoadOnStartup=false
    AskBeforeDownload=false
    ThrottleDownload=false
    ThrottleDownloadRate=4
    AutoRetrieveUpdates=false
    AutoRetrieveUpdatesInterval=4
    KeepLauncherOpen=true
    GameClientAskedToUse64bit=true



    [HttpProxy]
    HttpProxyAccess=Direct
    HttpProxy=:0
    HttpProxyAuthenticate=false
    HttpProxyUsername=
    HttpProxyPassword=
    HttpProxyBypass=

    [Display]
    AllowDesktopCompositing=True
    AllowFakeFullScreen=True
    AllowWindowResizing=True
    Antialiasing=Disabled
    ConfineFullScreenMouseCursor=T rue
    FixedOutputScaling=Default
    ForceFakeFullScreen=False
    FullScreen=False
    RefreshRate=Auto
    Resolution=1920x1080
    ScreenMode=FullScreenWindowed
    SyncToRefresh=False
    TripleBuffering=False

    Note the game was running on this version of MacOS fine, many things were done but I do not remind all
    If anyone could give me a hand in this, I would be grateful

  2. #2
    Join Date
    Jul 2020
    Posts
    1,925
    Note that the 32-bit client, which is the only version of the client which will run using SSG's "Mac Download" version of LOTRO, is being deprecated at the end of this calendar year. At some point, the earlier the better and certainly by 2023-01-01, you are going to need to start using the 64-bit client.

    You can use the 64-bit client by running MacOS 10.14 Mojave (no earlier version such as Yosemite and no later version such as Big Sur will do) and installing a modern version of WINE. You can read how here:
    https://forums.lotro.com/forums/show...pler-procedure
    The problem with open-source WINE and your mid-2011 iMac is that your Mac is limited to a maximum of MacOS 10.13 High Sierra. It cannot run MacOS 10.14 Mojave which is necessary to run LOTRO with the latest version of open-source WINE.

    You can use Codeweavers Crossover which is basically the "pro" version of WINE. The disadvantage to Crossover is that it is not free. The advantage is that it will run LOTRO in both pre- and post-Mojave versions of MacOS and is much easier to install and use than open-source versions of WINE. You would need to upgrade your Mac to MacOS 10.13 High Sierra in order to use LOTRO in Crossover, however: High Sierra is the oldest version of MacOS on which the current version of Crossover is certified to reliably work.

    ----- ----- ----- ----- -----

    Dealing with your immediate problem:

    Getting warnings about missing DLLs is normal when running the "Mac Download" version of LOTRO. The old version of WINE which is part of that package simply doesn't have certain things that the LOTRO Launcher application is looking for which is also why the 64-bit client will not run. That said, as of today (2022-09-04) the 32-bit client should still run using what is installed by the "Mac Download" under MacOS 10.10 Yosemite once the LOTRO Launcher application gets past all those error messages and warnings.

    I have examined the partial contents of the UserPreferences.ini file which you posted and I see nothing there that should be preventing the client from successfully running once you enter your credentials and click PLAY in the LOTRO Launcher application. Something isn't working right, obviously. There are two ways to work around the problem:

    Before doing either of the below, be sure no part of the game is running – neither the LOTRO Launcher application nor the LOTRO client. Restart your Mac if you aren't sure.
    Option 1- Find the last working backup of the ~/Documents/The Lord of the Rings Online/UserPreferences.ini file which you were using before installing your new drive. Replace the existing UserPreferences.ini with that known-good backup file. (I suspect you did not keep a backup of your data and cannot access the data on the hard drive which you removed from your Mac, so you will have to do Option 2 instead.)
    Option 2– Download this UserPreferences.ini file and replace your existing ~/Documents/The Lord of the Rings Online/UserPreferences.ini file with it:
    https://www.dropbox.com/s/ffatxywwra...x1080.zip?dl=0
    Unzip the file and use it to replace your existing UserPreferences.ini file. Then try to launch the game. Note that normally I would not suggest downloading and installing a file from someone you don't know, but if you don't have a known-good UserPreferences.ini file saved from earlier, this is the fastest and easiest way to get you working again.

    I took my best guess at appropriate settings for your UserPreferences.ini file. If Option 2 above does not work for you, please give me details about your Mac including the exact model, the amount of RAM installed, the video card and amount of VRAM, and any other information you feel might be pertinent; and then we'll try something else.
    Last edited by Tralfazz; Sep 04 2022 at 04:40 PM. Reason: added a note about Crossover and MacOS version compatibility

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload